<!doctype html>
<html xmlns:th="http://www.thymeleaf.org">

<head>
	<title>JMIEcommerce</title>	
	<link rel="icon"  th:href="@{/assets/img/img/iconLogo.ico}" type="image/icon type">
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
	<meta charset="utf-8">
	<meta http-equiv="X-UA-Compatible" content="IE=edge">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<link rel="shortcut icon" type="image/x-icon" th:href="@{/assets/img/favicon.ico}">
	<link rel="stylesheet" th:href="@{/assets/css/bootstrap.min.css}">
	<link rel="stylesheet" th:href="@{/assets/css/owl.carousel.min.css}">
	<link rel="stylesheet" th:href="@{/assets/css/slick.css}">
	<link rel="stylesheet" th:href="@{/assets/css/magnific-popup.css}">
	<link rel="stylesheet" th:href="@{/assets/css/font.awesome.css}">
	<link rel="stylesheet" th:href="@{/assets/css/ionicons.min.css}">
	<link rel="stylesheet" th:href="@{/assets/css/animate.css}">
	<link rel="stylesheet" th:href="@{/assets/css/jquery-ui.min.css}">
	<link rel="stylesheet" th:href="@{/assets/css/slinky.menu.css}">
	<link rel="stylesheet" th:href="@{/assets/css/plugins.css}">
	<link rel="stylesheet" th:href="@{/assets/css/style.css}">
	<script th:src="@{/assets/js/vendor/modernizr-3.7.1.min.js}"></script>
</head>

<body>
	
	<div th:replace="cabeceraSuperior :: copy"></div>
	<div th:replace="cabeceraInferior :: copy"></div>	
	<div th:replace="cabeceraInferior :: copy1"></div>
	
	<div th:replace="seccionActual :: copy"></div>

	<div class="shopping_cart_area mt-32">
		<div class="container">
			<form action="#">
				<div class="row">
					<div class="col-12">
						<div class="errorMyMsg" id="errorModificarProducto"></div>
						<div class="table_desc">
							<div class="cart_page table-responsive">
								<table>
									<thead>
										<tr>
											<th class="product_remove" th:text="#{paginaCarrito.borrar}">Borrar</th>
											<th class="product_thumb" th:text="#{paginaCarrito.imagen}">Imagen</th>
											<th class="product_name" th:text="#{paginaCarrito.producto}">Producto</th>
											<th class="product-price" th:text="#{paginaCarrito.precio}">Precio</th>
											<th class="product_quantity" th:text="#{paginaCarrito.cantidad}">Cantidad</th>
											<th class="product_total" th:text="#{paginaCarrito.total}">Total</th>
										</tr>
									</thead>
									<tbody th:if= "${carrito!=null && carrito.productos!=null && carrito.productos.size>0}">
										<tr th:each="producto : ${carrito.productos}">
											<td class="product_remove">
												<a th:onclick="'refreshProduct(' + ${productoStat.index} + ',1,' + ${producto.cantidad} + ');'"><i class="fa fa-trash-o"></i></a>
											</td>
											<td class="product_thumb">
												<a>
													<img th:if="${(producto!=null && producto.listaProductoImagen!=null && producto.listaProductoImagen.size>0)}" id="zoom1" th:src="${producto.listaProductoImagen[0].url}" th:data-zoom-image="${producto.listaProductoImagen[0].url}" alt="big-1">
                                					<img th:if="${(producto==null && producto.listaProductoImagen==null || producto.listaProductoImagen.size==0 || producto.listaProductoImagen[0].url==null)}" th:src="@{/assets/img/img/sinImagen.png}" alt="big-1">
												</a>												
											</td>
											<td class="product_name">
												<a th:text="${producto.nombre}"></a>
											</td>
											<td th:text="'$ '+${producto.precioMenudeoFormato}"></td>
											<td class="product_quantity">												 
												<input min="1" max="100" th:value="${producto.cantidad}" type="number" th:onchange="'refreshProduct(' + ${productoStat.index} + ',0,this.value);'">
											</td>
											<td th:text="'$ '+${producto.total}"></td>
										</tr>
									</tbody>
								</table>
							</div>						
						</div>
						<div class="checkout_btn" th:if= "${carrito!=null && carrito.productos!=null && carrito.productos.size>0}">
							<a onclick="getOrderPdf()" th:text="#{paginaCarrito.descargarCotizacion}">Descargar cotización</a><br><br>
						</div>
					</div>
				</div>
				<div class="coupon_area">
					<div class="row">

						<div class="col-lg-6 col-md-6">
							<div class="coupon_code right" th:if= "${carrito==null || carrito.productos==null || carrito.productos.size<=0}">
								<h3 th:text="#{paginaCarrito.totalCarrito}">Total en el carrito de compras</h3>
								<div class="coupon_inner">
									<div class="cart_subtotal">
										<p th:text="#{paginaCarrito.subtotal}">Subtotal</p>
										<p class="cart_amount">$ 0.00</p>
									</div>
									<div class="cart_subtotal ">
										<p th:text="#{paginaCarrito.compra}">Compra</p>
										<p class="cart_amount">$ 0.00</p>
									</div>
									<div class="cart_subtotal ">
										<p>IVA</p>
										<p class="cart_amount">$ 0.00</p>
									</div>


									<div class="cart_subtotal">
										<p th:text="#{paginaCarrito.total}">Total</p>
										<p class="cart_amount">$ 0.00</p>
									</div>									
								</div>
							</div>
							<div class="coupon_code right" th:if= "${carrito!=null && carrito.productos!=null && carrito.productos.size>0}">
								<h3 th:text="#{paginaCarrito.totalCarrito}">Total en el carrito de compras</h3>
								<div class="coupon_inner">
									<div class="cart_subtotal">
										<p th:text="#{paginaCarrito.subtotal}">Subtotal</p>
										<p class="cart_amount" th:text="'$ '+${carrito.subtotal}"></p>
									</div>
									<div class="cart_subtotal ">
										<p th:text="#{paginaCarrito.compra}">Compra</p>
										<p class="cart_amount" th:text="'$ '+${carrito.subtotal}"></p>
									</div>
									<div class="cart_subtotal ">
										<p>IVA</p>
										<p class="cart_amount" th:text="'$ '+${carrito.iva}"></p>
									</div>


									<div class="cart_subtotal">
										<p th:text="#{paginaCarrito.total}">Total</p>
										<p class="cart_amount" th:text="'$ '+${carrito.total}"></p>
									</div>
									<div class="checkout_btn" th:if="${usuario==null || usuario.autenticado==false}">
										<a onclick="showPopupEmail()" th:text="#{paginaCarrito.procederPago}">Proceder al pago</a>
									</div>									
									<div class="checkout_btn" th:if="${usuario!=null && usuario.autenticado==true}">
										<a onclick="validateEmailUser()" th:text="#{paginaCarrito.procederPago}">Proceder al pago</a>
									</div>
								</div>
							</div>
						</div>
					</div>
				</div>
			</form>
		</div>
	</div>

	<div th:replace="respuesta :: copy"></div>
	<div th:replace="piePagina :: copy"></div>
	
	<div>	
		<div class="newletter-popup" id="popupEmail">
	        <div id="boxes" class="newletter-container">
	            <div id="dialog" class="window">
	                <div id="popup2" onclick="closePopup('popupEmail')">
	                    <span class="b-close"><span>X</span></span>
	                </div>
	                <div class="box">
	                    <div class="newletter-title">
	                        <h2 th:text="#{paginaCarrito.correoElectronico}">Correo electronico</h2>
	                    </div>
	                    <div class="box-content newleter-content">	                        
	                        <label class="newletter-label" th:text="#{paginaCarrito.porFavorIngreseCorreoElectronico}">Por favor, ingrese su correo electrónico, si anteriormente ha comprado en JMIndustrial ingrese ese mismo correo electronico.</label>
	                        <div id="frm_subscribe">
	                            <form id="validateEmailUser" th:action="@{/checkout}" th:object="${user}" action="#" method="post">
	                                <input type="text" th:if="${usuario!=null && usuario.autenticado==true}" th:value="${usuario.correo}" name="correo" id="correoElectronico">                                
	                                <input type="text" th:if="${usuario==null || usuario.autenticado==false}" name="correo" id="correoElectronico" th:placeholder="#{paginaCarrito.correoElectronico}">                                
	                                <a class="theme-btn-outlined" onclick="validateEmailUser()"><span th:text="#{paginaCarrito.confirmar}">Confirmar</span></a>								
	                            </form> 
	                            <div id="errorMsgCorreo" class="errorMyMsg"></div>                                                       
	                        </div>                        
	                    </div>
	                </div>
	            </div>
	        </div>
	    </div>	
	</div>
	
	<form id="idFormRmoveProduct" th:action="@{/api/cart/removeProduct}"></form>
	<form id="idFormGetOrderPdf" th:action="@{/api/sale/getOrderPdf}"></form>
	
	<div style="display: none;" id="paginaCarritoCorreoElectronicoRequerido" th:text="#{paginaCarrito.correoElectronicoRequerido}"></div>
	<div style="display: none;" id="paginaCarritoCorreoElectronicoInvalido" th:text="#{paginaCarrito.correoElectronicoInvalido}"></div>
	<div style="display: none;" id="paginaCarritoErrorPeticion" th:text="#{paginaCarrito.errorPeticion}"></div>

	<script th:src="@{/assets/js/vendor/jquery-3.4.1.min.js}"></script>
	<script th:src="@{/assets/js/popper.js}"></script>
	<script th:src="@{/assets/js/bootstrap.min.js}"></script>
	<script th:src="@{/assets/js/owl.carousel.min.js}"></script>
	<script th:src="@{/assets/js/slick.min.js}"></script>
	<script th:src="@{/assets/js/jquery.magnific-popup.min.js}"></script>
	<script th:src="@{/assets/js/jquery.countdown.js}"></script>
	<script th:src="@{/assets/js/jquery.ui.js}"></script>
	<script th:src="@{/assets/js/jquery.elevatezoom.js}"></script>
	<script th:src="@{/assets/js/isotope.pkgd.min.js}"></script>
	<script th:src="@{/assets/js/slinky.menu.js}"></script>
	<script th:src="@{/assets/js/plugins.js}"></script>
	<script th:src="@{/assets/js/jquery.validate.js}"></script>
	<script th:src="@{/assets/js/paginaPrincipal.js}"></script>
	<script th:src="@{/assets/js/paginaCarrito.js}"></script>
	<script th:src="@{/assets/js/cabecera.js}"></script>

</body>

</html>